netatalk.io

Installing Netatalk 3 on OpenBSD


See Also

Prepare

Instructions for installing netatalk 3.x on OpenBSD 7.5

Install requisite packages for netatalk:

pkg_add -I \
  autoconf-2.71 \
  automake-1.16.5 \
  avahi \
  bison \
  dbus-glib \
  db-4.6.21p7v0 \
  gcc-11.2.0p11 \
  gmake \
  libevent \
  libgcrypt \
  libtalloc \
  libtool \
  meson \
  openldap-client-2.6.7v0 \
  openpam \
  pkgconf \
  tracker3

Build

export AUTOCONF_VERSION=2.71
export AUTOMAKE_VERSION=1.16
export CFLAGS=-I/usr/local/include
export LDFLAGS=-L/usr/local/lib
./bootstrap
./configure --with-init-style=openbsd --with-tracker-pkgconfig-version=3.0
make
make install

Run

The Netatalk 3.2 release series ships with an OpenBSD init script.

Enable and start the service

rcctl -d enable netatalk
rcctl -d start netatalk

This is a mirror of the Netatalk GitHub Wiki. Please visit the original page if you want to correct an error or contribute new contents.

Last updated 2024-07-12